import { User } from "@calchat/shared";

export interface CreateUserData {
  email: string;
  userName: string;
  passwordHash: string;
}

export interface UserRepository {
  findById(id: string): Promise<User | null>;
  findByEmail(email: string): Promise<User | null>;
  findByUserName(userName: string): Promise<User | null>;
  create(data: CreateUserData): Promise<User>;
}
